cmake-qt-gui_3.10.2-1ubuntu2.18.04.1_i386.deb


Advertisement

Description

cmake-qt-gui - Qt based user interface for CMake (cmake-gui)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe i386
Package filename cmake-qt-gui_3.10.2-1ubuntu2.18.04.1_i386.deb
Package name cmake-qt-gui
Package version 3.10.2
Package release 1ubuntu2.18.04.1
Package architecture i386
Package type deb
Category universe/devel
Homepage https://cmake.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.75 MB
Installed size 5.62 MB
CMake is used to control the software compilation process using simple
platform and compiler independent configuration files. CMake generates native
makefiles and workspaces that can be used in the compiler environment of your
choice.
This package provides the CMake Qt based GUI. Project configuration
settings may be specified interactively. Brief instructions are provided at
the bottom of the window when the program is running. The main executable
file for this GUI is "cmake-gui".

Alternatives

Package Version Architecture Repository
cmake-qt-gui_3.10.2-1ubuntu2.18.04.1_amd64.deb 3.10.2 amd64 Ubuntu Updates Universe
cmake-qt-gui_3.10.2-1ubuntu2_i386.deb 3.10.2 i386 Ubuntu Universe
cmake-qt-gui_3.10.2-1ubuntu2_amd64.deb 3.10.2 amd64 Ubuntu Universe
cmake-qt-gui - - -

Requires

Name Value
cmake = 3.10.2-1ubuntu2.18.04.1
libarchive13 >= 3.0.4
libc6 >= 2.15
libcurl4 >= 7.16.2
libgcc1 >= 1:4.2
libjsoncpp1 >= 1.7.4
libqt5core5a >= 5.9.0~beta
libqt5gui5 >= 5.0.2
libqt5widgets5 >= 5.2.0~alpha1
librhash0 >= 1.2.6
libstdc++6 >= 5.2
zlib1g >= 1:1.2.3.3

Provides

Name Value
cmake-gui -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package cmake-qt-gui_3.10.2-1ubuntu2.18.04.1_i386.deb
Source Package cmake

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install cmake-qt-gui deb package:
    # sudo apt-get install cmake-qt-gui

Changelog

2019-07-13 - Gianfranco Costamagna <locutusofborg@debian.org>
cmake (3.10.2-1ubuntu2.18.04.1) bionic; urgency=medium
* debian/patches/1893.patch:
- cherry-pick upstream fix for ctest update bug
LP: #1835723
2018-04-24 - Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>
cmake (3.10.2-1ubuntu2) bionic; urgency=medium
* Fix java version comparison in upstream commit. LP: #1766649.
- FindJava: use "10" instead of "1.10".
2018-04-08 - Matthias Klose <doko@ubuntu.com>
cmake (3.10.2-1ubuntu1) bionic; urgency=medium
* Merge upstream commits:
- FindJava: ignore javah for JDK 10, it has been removed.
2018-02-28 - Steve Langasek <steve.langasek@ubuntu.com>
cmake (3.10.2-1build1) bionic; urgency=medium
* No-change rebuild against libcurl4
2018-02-18 - Felix Geyer <fgeyer@debian.org>
cmake (3.10.2-1) unstable; urgency=medium
* New upstream release.
* Disable CTestTestUpload in autopkgtest.
* Point Vcs-* control fields to the new repo on salsa.
* Switch to debhelper compat level 10.
* Make cmake suggest cmake-doc. (Closes: #805901)
2017-11-06 - Felix Geyer <fgeyer@debian.org>
cmake (3.9.5-1) unstable; urgency=medium
* New upstream release.
* Set Rules-Requires-Root: no
2017-09-24 - Felix Geyer <fgeyer@debian.org>
cmake (3.9.3-1) unstable; urgency=medium
* New upstream release.
* Increase test timeout to 2000s.
- Hopefully this gives slow buildds enough time to run the Qt5Autogen test.
(Closes: #876378)
* Switch to python3 sphinx.
* Remove upgrade maintainer scripts from before stretch.
2017-08-11 - Felix Geyer <fgeyer@debian.org>
cmake (3.9.1-1) unstable; urgency=medium
* New upstream release.
* Remove fix-java9-detection.patch, applied upstream.
2017-07-25 - Felix Geyer <fgeyer@debian.org>
cmake (3.9.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Drop ancient Breaks/Replaces/Conflicts.
* No longer suggest eclipse and codeblocks. (Closes: #750465)
* Add Python and Java to findmodules autopkgtest.
* Fix detection of OpenJDK 9 early access builds. (Closes: #868327)
- Add fix-java9-detection.patch
2017-04-15 - Felix Geyer <fgeyer@debian.org>
cmake (3.8.0-1) experimental; urgency=medium
* New upstream release.
- CPackDeb: print warning when "file" tool is missing. (Closes: #847307)
* Refresh fix-ftbfs-on-kfreebsd.patch
* Drop mips-rld-map-rel.patch, merged upstream.
* Add librhash-dev to Build-Depends.

See Also

Package Description
coinor-libipopt-dev_3.11.9-2.1ubuntu0.18.04.1_i386.deb Interior-Point Optimizer - header files
coinor-libipopt-doc_3.11.9-2.1ubuntu0.18.04.1_all.deb Interior-Point Optimizer - documentation
coinor-libipopt1v5_3.11.9-2.1ubuntu0.18.04.1_i386.deb Interior-Point Optimizer, for large-scale nonlinear optimization
collectd-core_5.7.2-2ubuntu1.1_i386.deb statistics collection and monitoring daemon (core system)
collectd-dev_5.7.2-2ubuntu1.1_all.deb statistics collection and monitoring daemon (development files)
collectd-utils_5.7.2-2ubuntu1.1_i386.deb statistics collection and monitoring daemon (utilities)
collectd_5.7.2-2ubuntu1.1_i386.deb statistics collection and monitoring daemon
console-setup-mini_1.178ubuntu2.9_all.deb console font and keymap setup program - reduced version for Linux
containerd_1.2.6-0ubuntu1~18.04.2_i386.deb daemon to control runC
corosync-notifyd_2.4.3-0ubuntu1.1_i386.deb cluster engine notification daemon
corosync-qdevice_2.4.3-0ubuntu1.1_i386.deb cluster engine quorum device daemon
corosync-qnetd_2.4.3-0ubuntu1.1_i386.deb cluster engine quorum device network daemon
coturn_4.5.0.7-1ubuntu2.18.04.1_i386.deb TURN and STUN server for VoIP
courier-authdaemon_0.68.0-4ubuntu0.1_i386.deb Courier authentication daemon
courier-authlib-dev_0.68.0-4ubuntu0.1_i386.deb Development libraries for the Courier authentication library
Advertisement
Advertisement